;#ifndef BILLING_ERRORS_H_INCLUDED
;#define BILLING_ERRORS_H_INCLUDED
;#include <general/pwgerr.h>
;//**************************************************************************************************
;// File: PrizmaWeb error message file.
;// Author: Robert Mathews, Just Software Consulting, 1998
;// 
;// Comments:
;//	This file is compiled in a C/C++ header file which is included in every file in the system which
;//	needs to set error codes.
;//
;// How to add an error:
;//	1. add your error to the bottom of pwgecd.mc , the best way is by copying one of the other errors.
;//	2. Change the symbolic name of the error to the new error message.
;//	3. Change the error message to your error message. Note that the error message description is a 
;//	   printf-like format string, where %1..%9 represent the order of that the parameters will be output, and
;//	   any !x! is a printf argument specifying how it should be output.
;//	   N.B: the article in MSDN titled "MC.TXT" for more details.
;//	4. Use the error as follows:
;//	   PWGErr_Set(MY_NEW_ERROR, arg1, arg2 .. .)
;//
;// IMPORTANT!!!!
;//     See documents/HowToSetupErrorLibrary.txt for an extensive description.
;//**************************************************************************************************

;// Note: FACILITY_ITF is 0x4 (see <WINERROR.H>)

FacilityNames=(System=0x0FF 
               Application=0xA:BILLING
              ) 
;//**************************************************************************************************
;// BILLING SERVER ERRORS 
;//**************************************************************************************************
MessageId=
Severity=Error 
Facility=Application
SymbolicName=BSERR_BILLINGIDNOTFOUND
Language=English
Billing ID record %1!d! not found%0
.
MessageId=
Severity=Error 
Facility=Application
SymbolicName=BSERR_CONFIGURATIONERROR
Language=English
Billing configuration error in %1!s!: %2!s!%0
.

;#endif // _H_INCLUDED
